import { __assign } from "tslib";
import { withThemeableProps } from '../../../useThemeable';
import Vue from 'vue';
import { DefaultButton } from '../DefaultButton/DefaultButton';
import { getStyles } from './MessageBarButton.styles';
export var MessageBarButton = Vue.extend({
    props: __assign({}, withThemeableProps()),
    computed: {
        internalStyles: function () {
            return getStyles(this.theme, this.styles);
        },
    },
    render: function (h) {
        var internalStyles = this.internalStyles;
        return h(DefaultButton, {
            attrs: __assign(__assign(__assign({}, this.$props), this.$attrs), { styles: internalStyles }),
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    },
});
//# sourceMappingURL=MessageBarButton.js.map